Subject: Re: bug#10280: ruby-mode.el - Unknown finder.el keyword: ruby

From: Juri Linkov <[email-masked]>
Date: Thu, 15 Dec 2011 23:35:15 +0200

> ruby.el reads:
>
>     ...
>     ;; Keywords: languages ruby
>     ;; Version: 1.0
>
> However word "ruby" is not in list returned by M-x finder-list-keywords.
> Perhaps finder-list-keywords or ruby.el should be updated.

Free-form user-defined keywords are allowed since the list of keywords is
open-ended.  So this is rather a shortcoming of `finder-list-keywords'
that doesn't yet list all keywords beyond a few of "official" ones.